server:
  port: 9500

# Spring
spring:
  #邮箱基本配置
  mail:
    #    配置在limit_time内，用户可以发送limit次验证码
    limit: 2 这个是我额外的配置，结合邮箱服务用的
    limitTime: 10 这个是我额外的配置
    #配置smtp服务主机地址
    # sina    smtp.sina.cn
    # aliyun  smtp.aliyun.com
    # 163     smtp.163.com       端口号465或994
    host: mail.privateemail.com
    #发送者邮箱
    username: do.not.reply@m2pool.com
    #配置密码,注意不是真正的密码，而是刚刚申请到的授权码
    #    password:
    #    password: M2202401!
    #    password: axvm-zfgx-cgcg-qhhu
    password: M2202401!

    #端口号
    port: 587
#    port: 465
    #默认的邮件编码为UTF-8
    default-encoding: UTF-8
    #其他参数
    properties:
      mail:
        #配置SSL 加密工厂
        smtp:
          ssl:
            #本地测试，先放开ssl
            enable: false
            required: false
          #开启debug模式，这样邮件发送过程的日志会在控制台打印出来，方便排查错误
        debug: false
        socketFactory:
          class: javax.net.ssl.SSLSocketFactory
#
#    host: smtp.qq.com
#    #发送者邮箱
#    username: 1328642438@qq.com
#      #配置密码,注意不是真正的密码，而是刚刚申请到的授权码
#      #    password:
#      #    password: M2pool2024@!
#    #    password: axvm-zfgx-cgcg-qhhu
#    password: eqrzqxeqzlshhedh
#
#    #端口号
#    port: 465
#    #默认的邮件编码为UTF-8
#    default-encoding: UTF-8
#    #其他参数
#    properties:
#      mail:
#        #配置SSL 加密工厂
#        smtp:
#          ssl:
#            #本地测试，先放开ssl
#            enable: true
#            required: true
#          #开启debug模式，这样邮件发送过程的日志会在控制台打印出来，方便排查错误
#        debug: false
#        socketFactory:
#          class: javax.net.ssl.SSLSocketFactory

  application:
    # 应用名称
    name: m2pool-auth
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8808
        namespace: m2_test
        group: m2_test_group
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8808
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
        namespace: m2_test
        group: m2_test_group
image:
  prefix: https://test.m2pool.com
